from rest_framework import serializers
from api.models import *

class GetAllParkingLotSerializer(serializers.ModelSerializer):
    class Meta:
        model = ParkingLot
        fields = '__all__'
class CountParkingLotSerializer(serializers.ModelSerializer):
    class Meta:
        model = ParkingLot
        fields = ['usedstalls']
class CvSensorSerializer(serializers.ModelSerializer):
    class Meta:
        model = CvImageSensor
        fields = ('user', 'enid','timelastupdate','isentranceside', 'imageurl')
class GetAllCvSensorSerializer(serializers.ModelSerializer):
    class Meta:
        model = CvImageSensor
        fields = '__all__'
class ParkingPassSerializer(serializers.ModelSerializer):
    class Meta:
        model = Pass
        fields = ('shortname', 'name')
class GetAllParkingPassSerializer(serializers.ModelSerializer):
    class Meta:
        model = Pass
        fields = '__all__'
class AcceptedPassSerializer(serializers.ModelSerializer):
    class Meta:
        model = AcceptedPass
        fields = ('lotid', 'passid','allottedstalls')
class GetAllAcceptedPassSerializer(serializers.ModelSerializer):
    class Meta:
        model = AcceptedPass
        fields = '__all__'
class EnExSerializer(serializers.ModelSerializer):
    class Meta:
        model = EntranceExit
        fields = ('lotid','longitude','latitude')
class GetAllEnExSerializer(serializers.ModelSerializer):
    class Meta:
        model = EntranceExit
        fields = '__all__'
class MediaStorageSerializer(serializers.ModelSerializer):
    class Meta:
        model = MediaStorage
        fields = '__all__'
