#python manage.py runserver
#python runserver.py
import subprocess
import sys
# C:/Users/over4/.virtualenvs/backend-QS_dR8OM/Scripts/
import signal
import re

address = 'localhost'
port = '8000'

server_pat = r'(?P<address>\d{1,4}.\d{1,4}.\d{1,4}.\d{1,4})'
server_port_pat = r'(?P<address>\d{1,4}.\d{1,4}.\d{1,4}.\d{1,4}):(?P<port>\d{1,6})'

for arg in sys.argv[1:]:
    match = re.match(server_pat, arg)
    if match:
        address = match.group('address')
        break
    match = re.match(server_port_pat, arg)
    if match:
        address = match.group('address')
        port = match.group('port')
        break

full_address = f'{address}:{port}'

p = subprocess.Popen(['pipenv', 'run', 'python', 'library/run_predictor.py', full_address])
# print(f'predictor process: {p.pid}')

def interupt_handler(signum, frame):
    p.kill()
    sys.exit()

signal.signal(signal.SIGINT, interupt_handler)

p2 = subprocess.run(['pipenv', 'run', 'python', 'manage.py', 'runserver', *(sys.argv[1:])])
# print(f'server process: {p2.pid}')
p.kill()
