import React from "react";


export default function DateSelect(props){
    return <div class="pt-2 flex justify-between flex-row datepicker relative form-floating mb-3">
                <label for="floatingInput" class="pr-2 font-normal text-gray-700">{props.message}</label>
                <input type="date"
                        id={`dateInput${props.idx}`}
                        onChange={props.onChange}
                        value={props.value}
                        class="form-control block w-[68%] px-3 py-1.5 text-base font-normal text-gray-700 bg-white bg-clip-padding border border-solid border-gray-300 rounded transition ease-in-out m-0 focus:text-gray-700 focus:bg-white focus:border-blue-600 focus:outline-none"
                        placeholder="Select a date" />
            </div>

}
