import {useDispatch, useSelector} from "react-redux";
import {showHalf, showFull} from "../../redux/lotSelectSlice";
export default function SmallControlElement(){
    const dispatch = useDispatch();
    const display = useSelector((state) => state.lotSelect.display);
    return (
        <div
        onClick={()=>{
            if (display==="half") dispatch(showFull());
            else if (display==="full") dispatch(showHalf());
    }
}
            className="flex flex-row justify-center mt-1 focus:bg-slate-200">
            <button
            className="h-1 bg-slate-700/60 w-7 rounded-3xl "></button>
        </div>
    )
}