import {createSlice} from '@reduxjs/toolkit';

export const menuToggleSlice = createSlice({
    name: 'menuToggle',
    initialState:{
        toggled: false,
    },
    reducers: {
        showMenuBar: (state)=>{state.toggled = true},
        hideMenuBar: (state)=>{state.toggled = false},
    }
});

export const {showMenuBar, hideMenuBar} = menuToggleSlice.actions;
export default menuToggleSlice.reducer;