import axios from "axios";

export function verifyAccessToken(){
    const accessToken = {
        "token": `${localStorage.getItem('token')}`
      }
    const verifyConfig= {
        url: `${process.env.REACT_APP_API_URL}/api/token/verify/`,
        method:"POST",
        headers:{
          'Content-Type': 'application/json',
        },
        data:accessToken
    }
    return axios(verifyConfig);
}
export function refreshToken(){
  const refreshConfig = {
    url: `${process.env.REACT_APP_API_URL}/api/token/refresh/`,
    method:"POST",
    headers:{
      'Content-Type': 'application/json',
    },
    withCredentials: true,
  }
  return axios(refreshConfig);
}

export function getBadRefreshToken(){
  const getBadTokenConfig = {
    url: `${process.env.REACT_APP_API_URL}/api/token/blacklistme/`,
    method:"GET",
    headers:{
      Authorization: `Bearer ${localStorage.getItem("token")}`,
      'Content-Type': 'application/json',
    },
    withCredentials: true,
  }
  return axios(getBadTokenConfig);
}