import {updateMapData} from "../redux/mapSlice";
import { showPass } from "../redux/filterSlice";
import axios from "axios";


export function updatePasses(dispatch, Toggles){
    var passes=[];
    const passesUrl = `${process.env.REACT_APP_API_URL}/api/pass/`;
    const getPassesConfig = {
      url: passesUrl,
      method: "GET",
      headers: {
        "Content-Type": "application/json",
      },
    }

    axios(getPassesConfig)
        .then(response =>{
          const init = Object.keys(Toggles).length === 0 ? true : false;
          for(const elem of response.data){
            if (init){
              dispatch(showPass(elem.shortname));
            }
            passes.push({'shortname':elem.shortname,
                         'name':elem.name});
          }
        })
        .catch(error=>{
          console.log("error occured while fetching lot passes for map view.")
        })
        .finally(()=>{
          dispatch(updateMapData({passes:passes}));
        });
}