module.exports = {
    content: ["./src/**/*.{js,jsx,ts,tsx}"],
    theme: {
      extend: {
        boxShadow:{
          '4sides':'rgba(50, 50, 105, 0.15) 0px 2px 5px 0px, rgba(0, 0, 0, 0.05) 0px 1px 1px 0px'
        },
        colors: {
          'flush-mahogany': {
            '50': '#fdf6f6',
            '100': '#fbeded',
            '200': '#f6d1d1',
            '300': '#f0b5b5',
            '400': '#e47e7e',
            '500': '#d94646',
            '600': '#c33f3f',
            '700': '#a33535',
            '800': '#822a2a',
            '900': '#6a2222'
        },
        'amaranth': {
          DEFAULT: '#EF3D59',
          '50': '#FDE7EA',
          '100': '#FBD4DA',
          '200': '#F8AEBA',
          '300': '#F5889A',
          '400': '#F26379',
          '500': '#EF3D59',
          '600': '#E11333',
          '700': '#AD0E27',
          '800': '#7A0A1C',
          '900': '#460610'
        },
        cerise: {
          '50':  '#fdfcfb',
          '100': '#fcf0ee',
          '200': '#f9ccdd',
          '300': '#f19dba',
          '400': '#ef6d94',
          '500': '#e54974',
          '600': '#d13054',
          '700': '#ab243c',
          '800': '#7f1927',
          '900': '#4f1015',
        },
          "picton-blue": {
            50: "#f6fbfe",
            100: "#edf7fd",
            200: "#d2ebf9",
            300: "#b7dff6",
            400: "#81c8ef",
            500: "#4bb0e8",
            600: "#449ed1",
            700: "#3884ae",
            800: "#2d6a8b",
            900: "#255672",
          },
        },
      },
      fontFamily: {
        sans: ["Poppins", "sans-serif"],
        blocky:['Orbitron', 'sans-serif']
      },
    },
    plugins: [],
  };
